Subject: Re: [PATCH 10/17] bootwrapper: Add dt_set_mac_addresses().

From: Timur Tabi <[email-masked]>
Date: Sat, 17 Mar 2007 19:22:27 -0500

David Gibson wrote:

>        while ((addr = va_arg(ap, void *))) {
>                devp = find_node_by_prop_value(NULL,
> linux,network-index",
>                                               &index, sizeof(index));
> 
>                if (devp)
>                       setprop(devp, "local-mac-address", addr, 6);

The problem with this version is that it only updates local-mac-address, 
and only if it already exists.  Scott's version also updates 
mac-address.  Also, in the future, we hope to eliminate *all* MAC 
address entries from the DTS files, and the boot loader and/or 
bootwrapper will add one.